---
# tasks file for gitlab_runner_ansible_role
- name: Ensure gnupg is installed
  ansible.builtin.apt:
    name:
      - gnupg
    state: present
    update_cache: yes

- name: Add GitLab runner GPG key
  ansible.builtin.apt_key:
    url: "{{ gitlab_runner_gpg_key }}"

- name: Add official GitLab repository
  ansible.builtin.apt_repository:
    repo: "{{ gitlab_runner_apt_repo }}"

- name: Install GitLab runner
  ansible.builtin.apt:
    name:
      - gitlab-runner='{{ gitlab_runner_version }}'
    state: present
    update_cache: yes

- name: Register shell GitLab runner
  ansible.builtin.command:
    cmd: >
      gitlab-runner register --non-interactive
          --name "{{ gitlab_runner_name }}"
          --url "{{ gitlab_runner_url }}"
          --registration-token "{{ gitlab_runner_registration_token }}"
          --tag-list "{{ gitlab_runner_tags }}"
          --executor "shell"
  when: ("shell") is in gitlab_runner_executor
  
- name: Register docker GitLab runner
  ansible.builtin.command:
    cmd: >
      gitlab-runner register --non-interactive
          --name "{{ gitlab_runner_name }}"
          --url "{{ gitlab_runner_url }}"
          --registration-token "{{ gitlab_runner_registration_token }}"
          --docker-image "{{ gitlab_runner_docker_image }}"
          --tag-list "{{ gitlab_runner_tags }}"
          --executor "docker"
  when: ("docker") is in gitlab_runner_executor